收藏
回答

升级开发者工具后,预览时编译出错,求解?

手头项目使用 mpvue 开发,之前在开发者工具中使用“预览”正常,更新 1.02.1910120 后,预览代码时会报错,截图如下:


如果将设置中的“上传代码时自动压缩混淆”一项取消勾选,则预览编译时不会报错,然而,最终代码因未压缩而超过了 2M 的限制(压缩混淆后代码大小是 1.5 MB),导致无法预览和上传小程序包。


目前只能退回到 1.02.1907300,才能正常使用。

请官方看看应该如何解决这个问题,感谢!🙏

最后一次编辑于  11-09
回答关注问题邀请回答
收藏

3 个回答

  • 社区技术运营专员-娇华
    社区技术运营专员-娇华
    11-11

    你好,麻烦提供下appid

    11-11
    赞同
    回复 1
    • 仲仲
      仲仲
      11-11
      您好,appid 是 wxbb9422df475871af
      11-11
      回复
  • Albert Einstein
    Albert Einstein
    11-11

    可能是一个 bug,是否能复现问题的简单代码片段呢?(https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html)

    11-11
    赞同
    回复 1
    • 仲仲
      仲仲
      11-11
      感谢回复,我尝试弄一个
      11-11
      回复
  • 仲仲
    仲仲
    11-09

    貌似开发者工具把 app.js 里的内容当成了文件名

    11-09
    赞同
    回复
问题标签